Skip to main content
PATCH
https://api.crewship.dev
/
v1
/
tables
/
{id}
/
rows
/
{rowId}
curl -X PATCH https://api.crewship.dev/v1/tables/tbl_abc123xyz789/rows/row_abc123xyz789 \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "score": 95,
    "status": "qualified"
  }'
{
  "id": "row_abc123xyz789",
  "company": "Acme",
  "score": 95,
  "status": "qualified",
  "_meta": {
    "created_at": "2024-01-15T10:35:00Z",
    "created_by": "api:Production Key",
    "updated_at": "2024-01-20T08:12:00Z",
    "updated_by": "api:Production Key"
  }
}

Path Parameters

id
string
required
Table ID
rowId
string
required
Row ID

Request

Body is a partial row object. Only provided fields are updated.
<column_name>
any
Value to update for a table column

Response

Returns the updated row object.
curl -X PATCH https://api.crewship.dev/v1/tables/tbl_abc123xyz789/rows/row_abc123xyz789 \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "score": 95,
    "status": "qualified"
  }'
{
  "id": "row_abc123xyz789",
  "company": "Acme",
  "score": 95,
  "status": "qualified",
  "_meta": {
    "created_at": "2024-01-15T10:35:00Z",
    "created_by": "api:Production Key",
    "updated_at": "2024-01-20T08:12:00Z",
    "updated_by": "api:Production Key"
  }
}